Bug 454276 - glxgears video corruption on radeon x1050 dualhead dual dvi
glxgears video corruption on radeon x1050 dualhead dual dvi
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-07 09:03 EDT by Benjamin S. Scarlet
Modified: 2009-07-14 13:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example corruption (66.90 KB, image/png)
2008-07-07 09:03 EDT, Benjamin S. Scarlet
no flags Details
xorg.conf file (1.43 KB, text/plain)
2008-07-07 09:04 EDT, Benjamin S. Scarlet
no flags Details
Xorg.0.log (83.13 KB, text/plain)
2008-07-07 09:05 EDT, Benjamin S. Scarlet
no flags Details
glxinfo output (5.26 KB, text/plain)
2008-07-07 09:07 EDT, Benjamin S. Scarlet
no flags Details
xorg.conf (1.25 KB, text/plain)
2009-02-21 06:09 EST, Benjamin S. Scarlet
no flags Details
Xorg.0.log (76.88 KB, text/plain)
2009-02-21 06:10 EST, Benjamin S. Scarlet
no flags Details

  None (edit)
Description Benjamin S. Scarlet 2008-07-07 09:03:15 EDT
Description of problem:
Running glxgears on a dualhead setup, everything looks great until I move the
glxgears window into the right side of the right monitor. Any part of the
glxgears window overlapping that area area (past about column 1050 - both
displays being 1600x1200) displays as corrupt (see attached png if you care -
xwd caught the corruption).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run glxgears
2. drag glxgears to the right side of the right monitor
3.
  
Actual results:
Corrupt image where window overlaps the (approximately) right third of the right
monitor.

Expected results:
nifty spinning gears like everywhere else on the monitor.

Additional info:
Comment 1 Benjamin S. Scarlet 2008-07-07 09:03:15 EDT
Created attachment 311142 [details]
Example corruption
Comment 2 Benjamin S. Scarlet 2008-07-07 09:04:17 EDT
Created attachment 311143 [details]
xorg.conf file
Comment 3 Benjamin S. Scarlet 2008-07-07 09:05:58 EDT
Created attachment 311145 [details]
Xorg.0.log
Comment 4 Benjamin S. Scarlet 2008-07-07 09:07:25 EDT
Created attachment 311146 [details]
glxinfo output
Comment 5 François Cami 2009-02-20 14:51:02 EST
Benjamin,

DRI is disabled as soon as you enable Xinerama.
Please use the xrandr-style xorg.conf (or no xorg.conf at all) to get DRI.

The corruption you experience is probably due to your video card not having enough memory.

Please confirm that the attached log is from your video card (9200SE 128MB according to the log, not X1050).

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Benjamin S. Scarlet 2009-02-21 06:09:33 EST
Created attachment 332815 [details]
xorg.conf

second try
Comment 7 Benjamin S. Scarlet 2009-02-21 06:10:33 EST
Created attachment 332816 [details]
Xorg.0.log

second try
Comment 8 Benjamin S. Scarlet 2009-02-21 06:20:23 EST
Firstly, thank you for looking at my bug.

Secondly, I must apologize. I somehow managed to post incorrect Xorg.0.log and xorg.conf files - files which correspond to my previous dual-head solution, which used two cards and Xinerema, and thus did not support DRI or glx. Something in Fedora 9 broke that solution (I seem to recall Xinerama didn't work), and so I got my current card - sold under the name X1050, but showing up in lspci as "ATI Technologies Inc RV350 AR [Radeon 9600]" (which seems to make sense according to wikipedia). I've attached new Xorg.0.log and xorg.conf files.

If the problem is simply that the card has insufficient memory, is there somewhere I can see that in these log files? Also, how can I calculate how much memory I need for 3d support at a given resolution?

Thanks again,
Ben Scarlet
Comment 9 François Cami 2009-02-21 06:56:20 EST
Benjamin,

Thanks for updating the logs.

For maintainer : I can reproduce the corruption using a FireGL V3100 (128MB) but not on my V7100 (256MB) (3200x1200 on both cases).

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2009-06-09 21:57:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 13:32:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.